> ## Client identification
>
> Requests to this API should include a `Client-Platform` header alongside
> `Authorization`, identifying the application, tool, or model making the
> request. This is used for integration support and analytics.
>
> Use a specific model identifier if you know it; otherwise use the name
> of the agent or product issuing the request.
>
> Examples:
>
> | Client | Value |
> |---|---|
> | GPT-5.6 Sol | `Client-Platform: gpt-5.6-sol` |
> | GPT-5.6 Luna | `Client-Platform: gpt-5.6-luna` |
> | GPT-5.6 Pro | `Client-Platform: gpt-5.6-pro` |
> | Claude Opus 4.6 | `Client-Platform: claude-opus-4.6` |
> | Claude Sonnet 4.6 | `Client-Platform: claude-sonnet-4.6` |
> | Gemini 3.1 Pro | `Client-Platform: gemini-3.1-pro` |
> | ChatGPT | `Client-Platform: chatgpt` |
> | Claude Code | `Client-Platform: claude-code` |
> | Codex | `Client-Platform: codex` |
> | Other | `Client-Platform: <your-tool-or-model-name>` |
>
> Example:
>
> ```bash
> curl https://api.salaryboxapp.com/... \
>   -H "Authorization: Api-Key <api-key>" \
>   -H "Client-Platform: claude-code"
> ```

# List Leave Balances

GET https://api.salaryboxapp.com/v2/customer/v1/leave/balance

Returns leave balances per employee for the authenticated company.

Reference: https://docs.salarybox.in/api-reference/leave/balance-retrieve

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key   `) — Format: "Api-Key \{api-key}"

## Request

### Query parameters

- `salarybox_ids` (string, optional) — Comma-separated SalaryBox IDs to filter by.
- `page` (integer, optional) — Page number to fetch. Defaults to 1.
- `page_size` (integer, optional) — Number of results per page (max 500). Defaults to 500.

## Response

### 200

- `data` (list of EmployeeLeaveBalance, required)
- `message` (string, required)
- `status` (boolean, required)
- `count` (integer, required)
- `prev` (string, required, nullable)
- `next` (string, required, nullable)

## Types

### EmployeeLeaveBalance

- `salarybox_id` (string, required)
- `leaves` (list of LeaveBalanceItem, required)

### LeaveBalanceItem

- `leave_type` (string, required)
- `total` (string, required)
- `remaining` (string, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "salarybox_id": "SBHYBSEEIG",
      "leaves": [
        {
          "leave_type": "GENERAL 01",
          "total": "13.000",
          "remaining": "13.000"
        },
        {
          "leave_type": "GENERAL 11",
          "total": "4.000",
          "remaining": "4.000"
        },
        {
          "leave_type": "GENERAL 00",
          "total": "13.000",
          "remaining": "13.000"
        },
        {
          "leave_type": "Birthday",
          "total": "13.000",
          "remaining": "13.000"
        },
        {
          "leave_type": "New 2",
          "total": "0.000",
          "remaining": "0.000"
        }
      ]
    },
    {
      "salarybox_id": "SBXDFJHVMA",
      "leaves": [
        {
          "leave_type": "GENERAL 01",
          "total": "0.000",
          "remaining": "5.000"
        },
        {
          "leave_type": "GENERAL 11",
          "total": "0.000",
          "remaining": "6.000"
        },
        {
          "leave_type": "GENERAL 00",
          "total": "0.000",
          "remaining": "1.000"
        },
        {
          "leave_type": "Birthday",
          "total": "0.000",
          "remaining": "1.000"
        },
        {
          "leave_type": "New 2",
          "total": "0",
          "remaining": "0"
        }
      ]
    }
  ],
  "message": "Success",
  "status": true,
  "count": 2,
  "prev": null,
  "next": null
}
```

**SDK Code**

```python Example
import requests

url = "https://api.salaryboxapp.com/v2/customer/v1/leave/balance"

headers = {"Authorization": "Api-Key  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.salaryboxapp.com/v2/customer/v1/leave/balance';
const options = {method: 'GET', headers: {Authorization: 'Api-Key  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.salaryboxapp.com/v2/customer/v1/leave/balance"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Api-Key  <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.salaryboxapp.com/v2/customer/v1/leave/balance")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Api-Key  <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.salaryboxapp.com/v2/customer/v1/leave/balance")
  .header("Authorization", "Api-Key  <apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.salaryboxapp.com/v2/customer/v1/leave/balance', [
  'headers' => [
    'Authorization' => 'Api-Key  <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.salaryboxapp.com/v2/customer/v1/leave/balance");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Api-Key  <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = ["Authorization": "Api-Key  <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.salaryboxapp.com/v2/customer/v1/leave/balance")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```